[Overview][Classes][Index] | Reference for unit 'nvContext' (#nvidia-widgets)

# UIContext.doCheckButton

UI method for rendering and processing a check button

## Declaration

Source position: nvcontext.pas line 111

`public function UIContext.doCheckButton(`
`const r: Rect;`
`const Text: ;`
`var state: Boolean;`
`style: Integer = 0`
`):Boolean;`

## Arguments

`r` |  | optionally provides a location and size for the button
`Text` |  | text to display on the button
`state` |  | whether the check button is checked or not
`style` |  | optional style flag to modify the look

## Function result

True if the check button state changed

## Description

Check button behaves similarly as a toggle button used to display and edit a boolean property.